Download it now!
Bug 49678 - odf_validation content.xml Error:element "draw:connector" is missing "viewBox" attribute
Summary: odf_validation content.xml Error:element "draw:connector" is missing "viewBox...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Michael Stahl (allotropia)
URL: https://wiki.documentfoundation.org/i...
Whiteboard: odf odf_validation target:3.7.0 targe...
Keywords:
Depends on:
Blocks: 49569
  Show dependency treegraph
 
Reported: 2012-05-09 02:39 UTC by Rainer Bielefeld Retired
Modified: 2012-09-17 07:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-09 02:39:00 UTC
Document source: See URL

Steps how to reproduce: Download sample document, open with LibO Version mentioned below, then do validator tests

Text document saved with:  LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit) 
PDF File Format: 1.2 Extended

Validation results (+ = ok, - = not ok), Message behind
+ odf-validator.rhcloud: 
  Finding_out_whats_going_on_350_odf12.odp/content.xml[2,37405]: Error: element 
  "draw:connector" is missing "viewBox" attribute 
+ Officeotron: this problem not detected in  Element connector failed to validate attributes 
+ Cyclone: not tested
+ ODFToolkit: not tested, HTTP ERROR 412
+ opendocumentfellowship: only ODF1 tests possible

You find a complete test report copy in "Bug 49677 - odf_validation styles.xm: missing "type" attribute"
Comment 1 Michael Stahl (allotropia) 2012-09-14 13:05:50 UTC
indeed that svg:viewBox is mandatory on draw:connector.

i've copied and pasted some code that i don't really understand
from another method, and now i get attributes like this:

 svg:viewBox="0 0 2500 1"

which don't seem entirely implausible to me
(but somebody who knows SVG needs to review that).
Comment 2 Not Assigned 2012-09-14 13:09:36 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a2959aba6affa06dc0c6fb19d0c2b73958e6b221

fdo#49678: ODF export: add svg:viewBox to draw:connector



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-09-14 14:29:34 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=003e8e887b79248a4775a97ecf02589de1b031a8&g=libreoffice-3-5

fdo#49678: ODF export: add svg:viewBox to draw:connector


It will be available in LibreOffice 3.5.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-17 07:58:40 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c4d8242ef1d89f5217e092c6a23d95867f1270f&g=libreoffice-3-6

fdo#49678: ODF export: add svg:viewBox to draw:connector


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.